# IceGrid::ObjectObserver

## Overview

### interface ObjectObserver

This interface allows applications to monitor IceGrid well-known objects.

## Operation Index

objectInit
  `objectInit` is called after the registration of an observer to indicate the state of the registry.
objectAdded
  The `objectAdded` operation is called to notify an observer when an object was added to the Admin interface.
objectUpdated
  `objectUpdated` is called to notify an observer when an object registered with the Admin interface was updated.
objectRemoved
  `objectRemoved` is called to notify an observer when an object registered with the Admin interface was removed.

## Operations

### void objectInit(ObjectInfoSeq objects)

`objectInit` is called after the registration of an observer to indicate the state of the registry.

#### Parameters

objects
  The objects registered with the Admin interface (not through the deployment mechanism).

### void objectAdded(ObjectInfo info)

The `objectAdded` operation is called to notify an observer when an object was added to the Admin interface.

#### Parameters

info
  The details of the added object.

### void objectUpdated(ObjectInfo info)

`objectUpdated` is called to notify an observer when an object registered with the Admin interface was updated.

#### Parameters

info
  The details of the updated object.

### void objectRemoved(::Ice::Identity id)

`objectRemoved` is called to notify an observer when an object registered with the Admin interface was removed.

#### Parameters

id
  The identity of the removed object.